Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.visibility
Class MetricsDisplayForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.CalendarForm
                      org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricDisplayRangeForm
                          org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsControlForm
                              org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsFilterForm
                                  org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsDisplayForm

All Implemented Interfaces:
  java.io.Serializable

    public class MetricsDisplayForm

extends MetricsFilterForm

Represents the controls on various pages that display metrics summaries.

See Also:
  Serialized Form

Field Summary
`static java.lang.String[]` | `METRIC_CATEGORIES`

Fields inherited from class org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsFilterForm
`ALL_FILTERS, BITWISE_FILTERS, FILTER_AVAIL, FILTER_DYN, FILTER_PERF, FILTER_STATIC, FILTER_THRU, FILTER_TREND_DN, FILTER_TREND_UP, FILTER_UTIL`

Fields inherited from class org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricDisplayRangeForm
`ACTION_DATE_RANGE, ACTION_LASTN, nextRange, prevRange`

Fields inherited from class org.hyperic.hq.ui.action.CalendarForm
`AM, PM`

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`MetricsDisplayForm()`

Method Summary
`java.util.List` | `getCategoryList()`
`java.lang.Integer` | `getCategoryListSize()`
`org.apache.struts.util.ImageButtonBean` | `getChart()`
`org.apache.struts.util.ImageButtonBean` | `getClear()`
`java.lang.Long` | `getCollectionInterval()`
`long` | `getCollectionUnit()`
`org.apache.struts.util.ImageButtonBean` | `getCompare()`
`org.apache.struts.util.ImageButtonBean` | `getCurrent()`
`java.lang.Boolean` | `getDisplayBaseline()`
`java.lang.Boolean` | `getDisplayHighRange()`
`java.lang.Boolean` | `getDisplayLowRange()`
`java.lang.Boolean` | `getH()`
`org.apache.struts.util.ImageButtonBean` | `getHighlight()`
`java.util.List` | `getHighlightThresholdMenu()`
`java.lang.Integer` | `getHp()`
`java.lang.Integer` | `getHt()`
`java.lang.Integer` | `getHv()`
`long` | `getIntervalTime()` Derived property based on collectionInterval and collectionUnit, return the time as a long
`java.lang.Integer[]` | `getM()`
`java.lang.Integer[]` | `getR()`
`java.lang.Boolean` | `getShowBaseline()`
`java.lang.Boolean` | `getShowMetricSource()`
`java.lang.Boolean` | `getShowNumberCollecting()`
`java.lang.Integer` | `getT()`
`org.apache.struts.util.ImageButtonBean` | `getThreshold()`
`java.util.List` | `getThresholdMenu()`
`boolean` | `isChartClicked()`
`boolean` | `isClearClicked()`
`boolean` | `isCompareClicked()`
`boolean` | `isCurrentClicked()`
`boolean` | `isHighlightClicked()`
`boolean` | `isThresholdClicked()`
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setCategoryList(java.util.List categoryList)` Sets the categoryList.
`void` | `setChart(org.apache.struts.util.ImageButtonBean b)`
`void` | `setClear(org.apache.struts.util.ImageButtonBean b)`
`void` | `setCollectionInterval(java.lang.Long collectionInterval)`
`void` | `setCollectionUnit(long collectionUnit)`
`void` | `setCompare(org.apache.struts.util.ImageButtonBean b)`
`void` | `setCurrent(org.apache.struts.util.ImageButtonBean b)`
`protected void` | `setDefaults()`
`void` | `setDisplayBaseline(java.lang.Boolean displayBaseline)` Sets the displayBaseline.
`void` | `setDisplayHighRange(java.lang.Boolean displayHighRange)` Sets the displayHighRange.
`void` | `setDisplayLowRange(java.lang.Boolean displayLowRange)` Sets the displayLowRange.
`void` | `setH(java.lang.Boolean b)`
`void` | `setHighlight(org.apache.struts.util.ImageButtonBean b)`
`void` | `setHp(java.lang.Integer i)`
`void` | `setHt(java.lang.Integer i)`
`void` | `setHv(java.lang.Integer i)`
`void` | `setM(java.lang.Integer[] l)`
`void` | `setR(java.lang.Integer[] l)`
`void` | `setShowBaseline(java.lang.Boolean showBaseline)` Sets the showBaseline.
`void` | `setShowMetricSource(java.lang.Boolean showMetricSource)` Sets the showMetricSource.
`void` | `setShowNumberCollecting(java.lang.Boolean showNumberCollecting)` Sets the showNumberCollecting.
`void` | `setT(java.lang.Integer i)`
`void` | `setThreshold(org.apache.struts.util.ImageButtonBean b)`
`void` | `setupCategoryList(java.util.Map metricMap)` Method setupCategoryList.
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsFilterForm
`getFilter, getFilters, getFilterSubmit, getKeyword, getShowAll, isFilterSubmitClicked, setFilter, setFilterSubmit, setKeyword, setShowAll`

Methods inherited from class org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsControlForm
`getAdvanced, getEditRange, getEntityId, getForwardParams, getRange, getRb, getRbDate, getRe, getReadOnly, getReDate, getRnMenu, getSimple, isAdvancedClicked, isAnythingClicked, isEditRangeClicked, isRangeClicked, isSimpleClicked, setAdvanced, setEditRange, setRange, setRb, setRe, setReadOnly, setSimple, shouldValidate`

Methods inherited from class org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricDisplayRangeForm
`getA, getCtype, getEid, getNextRange, getPrevRange, getRid, getRn, getRu, getType, getWantEndDate, isDateRangeSelected, isLastnSelected, isNextRangeClicked, isPrevRangeClicked, setA, setCtype, setEid, setNextRange, setPrevRange, setRid, setRn, setRu, setType, shouldValidateDateRange, validate`

Methods inherited from class org.hyperic.hq.ui.action.CalendarForm
`calcHour, getEndAmPm, getEndDate, getEndDay, getEndHour, getEndMin, getEndMonth, getEndYear, getInitStartTime, getStartAmPm, getStartDate, getStartDay, getStartHour, getStartMin, getStartMonth, getStartYear, getYearOptions, populateEndDate, populateStartDate, setEndAmPm, setEndDay, setEndHour, setEndMin, setEndMonth, setEndYear, setStartAmPm, setStartDay, setStartHour, setStartMin, setStartMonth, setStartYear, setWantEndDate, validateDateRange`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### METRIC_CATEGORIES

    public static final java.lang.String[] METRIC_CATEGORIES

Constructor Detail

### MetricsDisplayForm

    public MetricsDisplayForm()

Method Detail

### setupCategoryList

    public void setupCategoryList(java.util.Map metricMap)

  Method setupCategoryList. The Map of MetricDisplaySummarys from the backend (Map( categories => List(MetricDisplaySummary)) is an unordered data structure - we want the the UI to display the categorized metrics in a consistent order so we make a list of the keys here.

  Parameters:
    `metricMap` -

### getCategoryListSize

    public java.lang.Integer getCategoryListSize()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `MetricsFilterForm`

### getClear

    public org.apache.struts.util.ImageButtonBean getClear()

### setClear

    public void setClear(org.apache.struts.util.ImageButtonBean b)

### getCompare

    public org.apache.struts.util.ImageButtonBean getCompare()

### setCompare

    public void setCompare(org.apache.struts.util.ImageButtonBean b)

### getCurrent

    public org.apache.struts.util.ImageButtonBean getCurrent()

### setCurrent

    public void setCurrent(org.apache.struts.util.ImageButtonBean b)

### getChart

    public org.apache.struts.util.ImageButtonBean getChart()

### setChart

    public void setChart(org.apache.struts.util.ImageButtonBean b)

### getHighlight

    public org.apache.struts.util.ImageButtonBean getHighlight()

### setHighlight

    public void setHighlight(org.apache.struts.util.ImageButtonBean b)

### getH

    public java.lang.Boolean getH()

### setH

    public void setH(java.lang.Boolean b)

### getHp

    public java.lang.Integer getHp()

### setHp

    public void setHp(java.lang.Integer i)

### getHt

    public java.lang.Integer getHt()

### setHt

    public void setHt(java.lang.Integer i)

### getHv

    public java.lang.Integer getHv()

### setHv

    public void setHv(java.lang.Integer i)

### getM

    public java.lang.Integer[] getM()

### setM

    public void setM(java.lang.Integer[] l)

### getR

    public java.lang.Integer[] getR()

### setR

    public void setR(java.lang.Integer[] l)

### getT

    public java.lang.Integer getT()

### setT

    public void setT(java.lang.Integer i)

### getThreshold

    public org.apache.struts.util.ImageButtonBean getThreshold()

### setThreshold

    public void setThreshold(org.apache.struts.util.ImageButtonBean b)

### isClearClicked

    public boolean isClearClicked()

### isCompareClicked

    public boolean isCompareClicked()

### isCurrentClicked

    public boolean isCurrentClicked()

### isChartClicked

    public boolean isChartClicked()

### isHighlightClicked

    public boolean isHighlightClicked()

### isThresholdClicked

    public boolean isThresholdClicked()

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `MetricsFilterForm`

### getShowNumberCollecting

    public java.lang.Boolean getShowNumberCollecting()

  Returns:
    Boolean

### setShowNumberCollecting

    public void setShowNumberCollecting(java.lang.Boolean showNumberCollecting)

  Sets the showNumberCollecting.

  Parameters:
    `showNumberCollecting` - The showNumberCollecting to set

### getShowBaseline

    public java.lang.Boolean getShowBaseline()

  Returns:
    Boolean

### setShowBaseline

    public void setShowBaseline(java.lang.Boolean showBaseline)

  Sets the showBaseline.

  Parameters:
    `showBaseline` - The showBaseline to set

### getShowMetricSource

    public java.lang.Boolean getShowMetricSource()

  Returns:
    Boolean

### setShowMetricSource

    public void setShowMetricSource(java.lang.Boolean showMetricSource)

  Sets the showMetricSource.

  Parameters:
    `showMetricSource` - The showMetricSource to set

### getCategoryList

    public java.util.List getCategoryList()

  Returns:
    List

### setCategoryList

    public void setCategoryList(java.util.List categoryList)

  Sets the categoryList.

  Parameters:
    `categoryList` - The categoryList to set

### getDisplayBaseline

    public java.lang.Boolean getDisplayBaseline()

  Returns:
    Boolean

### getDisplayHighRange

    public java.lang.Boolean getDisplayHighRange()

  Returns:
    Boolean

### getDisplayLowRange

    public java.lang.Boolean getDisplayLowRange()

  Returns:
    Boolean

### setDisplayBaseline

    public void setDisplayBaseline(java.lang.Boolean displayBaseline)

  Sets the displayBaseline.

  Parameters:
    `displayBaseline` - The displayBaseline to set

### setDisplayHighRange

    public void setDisplayHighRange(java.lang.Boolean displayHighRange)

  Sets the displayHighRange.

  Parameters:
    `displayHighRange` - The displayHighRange to set

### setDisplayLowRange

    public void setDisplayLowRange(java.lang.Boolean displayLowRange)

  Sets the displayLowRange.

  Parameters:
    `displayLowRange` - The displayLowRange to set

### getCollectionInterval

    public java.lang.Long getCollectionInterval()

### setCollectionInterval

    public void setCollectionInterval(java.lang.Long collectionInterval)

### getCollectionUnit

    public long getCollectionUnit()

### setCollectionUnit

    public void setCollectionUnit(long collectionUnit)

### getIntervalTime

    public long getIntervalTime()

  Derived property based on collectionInterval and collectionUnit, return the time as a long

### getThresholdMenu

    public java.util.List getThresholdMenu()

### getHighlightThresholdMenu

    public java.util.List getHighlightThresholdMenu()

### setDefaults

    protected void setDefaults()

  Overrides:
    `setDefaults` in class `MetricsFilterForm`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.